LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 03-31-2003, 06:01 PM   #1
Riley
Member
 
Registered: Feb 2003
Location: SC, USA
Distribution: Mandrake 10.0 Powerpack
Posts: 178

Rep: Reputation: 30
No version.h with my kernel


I downloaded the kernel source from kernel.org. I did this because I'm trying to get sound working on slackware 9 and I downloaded the alsa drivers I need for my system. Alsa requires kernel source and demands I have version.h before it compiles.
 
Old 03-31-2003, 06:32 PM   #2
iceman47
Senior Member
 
Registered: Oct 2002
Location: Belgium
Distribution: Debian, Free/OpenBSD
Posts: 1,123

Rep: Reputation: 47
check if you have a symbolic link 'linux' in /usr/src pointing to the actual folder. ex: ln -s /usr/src/linux-2.4.20 /usr/src/linux
 
Old 03-31-2003, 06:39 PM   #3
Riley
Member
 
Registered: Feb 2003
Location: SC, USA
Distribution: Mandrake 10.0 Powerpack
Posts: 178

Original Poster
Rep: Reputation: 30
no there's not, I downloaded and unzipped the archive myself and passed the kernel src location to the alsa configuration utility
 
Old 06-01-2003, 05:53 AM   #4
WebDataPower.co
LQ Newbie
 
Registered: Jun 2003
Posts: 1

Rep: Reputation: 0
# If you don't have a /usr/include/linux/version.h file, do
cd /usr/src/linux-2.4.xx; make include/linux/version.h
Then contine with Alsa install.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Regarding distribution + kernel version + gcc version + glib version. JCipriani Linux - General 8 04-19-2008 03:54 PM
Kernel version Source Version mismatch after recompile chuckleberry Linux - Software 1 06-20-2005 07:37 PM
redhat fedora gcc version (compiled for 2.4.20) doesn't match kernel version 2.4.22 start1000 Linux - Software 0 03-16-2004 09:17 PM
Xfree prob radeon.o kernel module version is 1.1.1 but version 1.5.0 or newer needed. jimdaworm Slackware 0 10-01-2003 07:27 PM
Sample Driver Module incompatibility with Kernel version (or gcc version) jvs Linux - General 1 06-07-2002 02:40 AM


All times are GMT -5. The time now is 02:51 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration